package hmggirlfront.render.tile;


import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.GL12;

import hmggirlfront.block.tile.TileEntity_Goods;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import objmodel.AdvancedModelLoader;
import objmodel.IModelCustom;

@SideOnly(Side.CLIENT)
public class TileRender_Goods extends TileEntitySpecialRenderer<TileEntity_Goods>
{
    private static final ResourceLocation box_ibc01 = new ResourceLocation("hmggirlfront:textures/blocks/model/ibc01_break.png");
    private static final ResourceLocation box_tank = new ResourceLocation("hmggirlfront:textures/blocks/model/tank_break.png");
    private static final IModelCustom box_model_ibc01 = AdvancedModelLoader.loadModel(
    		new ResourceLocation("hmggirlfront:textures/blocks/model/ibc01_break.mqo"));
    private static final IModelCustom box_model_tank = AdvancedModelLoader.loadModel(
    		new ResourceLocation("hmggirlfront:textures/blocks/model/tank_break.mqo"));
    
    private ResourceLocation texture;
    private boolean field_147509_j;
    private static final String __OBFID = "CL_00000965";

    public TileRender_Goods()
    {
    }

    public void render(TileEntity_Goods tile, double x, double y, double z, float partialTicks, int destroyStage, float alpha)
    {
    	Minecraft minecraft = Minecraft.getMinecraft();
    	
        GL11.glPushMatrix();
        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
        GL11.glTranslatef((float)x + 0.5F, (float)y + 0F, (float)z + 0.5F);
        GL11.glRotatef(180.0F, 0.0F, 1.0F, 0.0F);
        if(tile.id == 1) {
        	this.bindTexture(box_ibc01);
        	box_model_ibc01.renderPart("mat1");
        }else {
        	this.bindTexture(box_tank);
        	box_model_tank.renderPart("mat1");
        }
        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
        GL11.glPopMatrix();
        
    }
}